% !TEX root = GregorioRef.tex
% !TEX program = LuaLaTeX+se
\begin{landscape}

\section{Font Glyph Tables}\label{glyphtable}

\subsection{Score Font Glyphs}

The following table lists all of the score glyphs available in the greciliae,
gregorio, and parmesan fonts, and any variant glyphs contained within.  If a
variant glyph is unavailable in a given font, it will be listed as
{\itshape\small N/A} under the appropriate column.  Some of the glyphs listed
are representative of sets of glyphs differentiated by the ambitus of the
component notes.  These are listed with English words for the numbers in
italics, such as {\itshape TwoTwo}.  The gabc column lists a gabc sequence that
uses the given glyph.  If there are small, slanted characters, such as
\excluded{gege} in this column, they produce glyphs additional to the given
glyph, but are necessary for the given glyph to appear.  Note: glyphs for the
horizontal episema (activated using {\ttfamily\char`_} in gabc) are excluded from
this table.

\newcommand\ScoreFontTable[1]{%
	\begin{longtable}{llccccccc}
			\caption{Score Glyphs}\\
			&&&&&\multicolumn{4}{c}{\bfseries Variants}\\
			\hhline{>{\arrayrulecolor{lightgray}}----->{\arrayrulecolor{black}}----}
			{\bfseries Glyph Name}&%
			{\scriptsize\bfseries Sample gabc}&%
			{\scriptsize\bfseries greciliae}&%
			{\scriptsize\bfseries gregorio}&%
			{\scriptsize\bfseries parmesan}&%
			{\scriptsize\bfseries Name}&%
			{\scriptsize\bfseries greciliae}&%
			{\scriptsize\bfseries gregorio}&%
			{\scriptsize\bfseries parmesan}\\
			\hline
		\endfirsthead
			&&&&&\multicolumn{4}{c}{\bfseries Variants}\\
			\hhline{>{\arrayrulecolor{lightgray}}----->{\arrayrulecolor{black}}----}
			{\bfseries Glyph Name}&%
			{\scriptsize\bfseries Sample gabc}&%
			{\scriptsize\bfseries greciliae}&%
			{\scriptsize\bfseries gregorio}&%
			{\scriptsize\bfseries parmesan}&%
			{\scriptsize\bfseries Name}&%
			{\scriptsize\bfseries greciliae}&%
			{\scriptsize\bfseries gregorio}&%
			{\scriptsize\bfseries parmesan}\\
			\hline
		\endhead
		\directlua{GregorioRef.emit_score_glyphs(#1)}
	\end{longtable}
}%
\ScoreFontTable{'greciliae','gregorio','parmesan'}

\subsection{Dominican Score Font Glyphs}

The following table lists all of the score glyphs available in the Dominican
versions of the greciliae, gregorio, and parmesan fonts in the same vein as
the prior table.

\ScoreFontTable{'greciliaeOp','gregorioOp','parmesanOp'}

\subsection{Extra Glyphs}\label{subsec:greextra}

The following table lists the glyphs available in the greextra font.  There are
score glyphs which may be substituted into the score, text glyphs meant to be
used in the verses or in the \TeX{} document, and miscellaneous glyphs like
decorative lines for more specialized use.

\begin{longtable}{lc|lc}
		\caption{Extra Glyphs}\\
		{\bfseries Glyph Name}&{\bfseries Glyph}&{\bfseries Glyph Name}&{\bfseries Glyph}\\
		\hline
	\endfirsthead
		{\bfseries Glyph Name}&{\bfseries Glyph}&{\bfseries Glyph Name}&{\bfseries Glyph}\\
		\hline
	\endhead
	\directlua{GregorioRef.emit_extra_glyphs('greextra')}
\end{longtable}

\end{landscape}
